MULTIMUX(1)

NAME
multimux - create multichannel audio files

SYNOPSIS
multimux [-fhirsv] [-a bitrate] [-d delay]

DESCRIPTION
multimux multiplexes up to 8 mono WAV audio files for various purposes such as creating 5.1 channel surround sound AC3 files commonly used in DVDs.

OPTIONS
The options are as follows:

-a  AC3 bitrate in kilobits per second. Passed to ffmpeg when -f flag is used.

-d  Delays in milliseconds for audio channels.

-f  Encode output directly to AC3 via ffmpeg. Output file name will be Xch.ac3, where X is a single digit representing the number of channels.

-h  Display help message.

-i  Ignore data_length field in input WAV headers. This option is ignored when the -f flag is used.

-r  Output raw (headerless) PCM data. Useful for piping output when total output size > 4 GB.

-s  Silent mode. Expected output file size and bytes written information is not displayed.

-v  Verbose mode. Functions and arguments are displayed.

EXAMPLES
Create 5 channel (4.1) AC3 audio file 5ch.ac3.

multimux -f file1.wav file2.wav file3.wav file4.wav file5.wav

Creates a WAV file with an English, Spanish, French and Italian channel.

multimux -d 0,0,0,0 English.wav Spanish.wav French.wav Italian.wav > english-spanish-french-italian.wav

Use ffmpeg explicitly instead of invoking internally using the raw option.

multimux -r q1.wav q2.wav q3.wav q4.wav q5.wav | ffmpeg -f s16le -ac 5 -ar 48000 -i /dev/stdin -ab 320k -acodec ac3 5ch.ac3

Create 4channel.wav with delays.

multimux -d 0,1000,2000,3000 file1.wav file2.wav file3.wav file4.wav > 4channel.wav

Encode to 6 channel (5.1) AC3 file 6ch.ac3.

multimux -f file1.wav file2.wav file3.wav file4.wav file4.wav file5.wav file6.wav

Create a raw (headerless PCM) output file.

multimux -r file1.wav file2.wav file3.wav file4.wav > 4ch.raw

AUTHOR
Jan Panteltje <panteltje@yahoo.com>